//Definim les dependencies mitjançant require.js

define(['jquery', 
	'underscore', 
	'Backbone', 
	'parse', 
	'text!templates/Home/HomeView.tpl',
	'jqm'
], function ($, _, Backbone, Parse, HomeViewTemplate) {
        return Backbone.View.extend({

            template:_.template(HomeViewTemplate),


           	// Events a la pantalla i respectives funcions que els atendran
		events: {
	      		"click #log-out": "logOut",
	      		"click #menu": "popUp"
	    	},
		
		//Funcció de sortida del usuari de l'aplicació

	    	logOut: function(e) {
	      		Parse.User.logOut();
	      		this.undelegateEvents();
	      		delete this;
	    	},
		
		// Crida al menu emergent de la aplicació

	    	popUp: function(e) {
	      		$("#pop").popup("open");
	    	},

            render:function () {       
	      // Dibuixam la pantalla mitjançant la plantilla HTML
                this.$el.html(this.template());
                return this;
            }

        });
    });