require.config({
  
  // Configurem el require.js. Per fer això:
  // Carregam els paths on es situen les llibreries
  // i definim les seves dependències 
  
    paths:{
        // RequireJS plugin
        text:'libs/require/text',
        // RequireJS plugin
        domReady:'libs/require/domReady',
        // Llibreria underscore
        underscore:'libs/underscore/underscore',
        // Llibreria Backbone.js
        Backbone:'libs/backbone/backbone',
        // jQuery, descarregat de la pàgina oficial
        jquery:'http://code.jquery.com/jquery-1.8.3.min',
        // jQuery Mobile framework, descarregant de la pàgina oficial
        jqm:'http://code.jquery.com/mobile/1.3.2/jquery.mobile-1.3.2.min',
        // jQuery Mobile plugin. Navegació per a vistes Backbone 
        jqmNavigator:'libs/jquery.mobile/jqmNavigator',
        //  Parse mbaas framework, descarregat de la seva pàgina oficial
        parse: 'http://www.parsecdn.com/js/parse-1.2.16.min',
        //  Barcode, llibreria de generació de codis de barres
        barcode: 'libs/barcode/jquery-barcode.min'
    },
    shim:{
        Backbone:{
            deps:['underscore', 'jquery'],
            exports:'Backbone'
        },
        underscore:{
            exports:'_'
        },
        jqm:{
            deps:['jquery', 'jqm-config', 'jqmNavigator']
        },
        parse:{
            exports:'Parse'
        },
       barcode: {
            deps: ['jquery'],
            exports: 'Barcode'
       }
    }
});

// En aquest punt és on carregam el nostra mbaas al nuvol (en aquet cas parse.com)
// Només farem servir el model de dades, pero mbaas permet servei de notificacions, geolocalització, etc...
// En aquesta funció s'ingressen les nostres credencials a parse.com

require(['parse'], function(Parse) {
        Parse.initialize("nlqHdfzOn0DQBiSc32GpiRY0LbWniEQ8eMsFtnCm", "BNgHWyCxD4ZvjEFf03QbKr6jQSAco8nm7s0YD8aF");
});

require(['domReady', 'Backbone', 'router/AppRouter','jqm'],
    function (domReady, Backbone, Workspace) {


        domReady(function () {
/*
            function onDeviceReady(desktop) {

                // Mirem si estem treballlant sobre Android
                // Si és així, borram la pantalla de benvinguda

                if (navigator.userAgent.match(/(iPad|iPhone|Android)/))
                    cordova.exec(null, null, "SplashScreen", "hide", []);
*/

                //Utilitzam el router de backbone, finalment descartam alternatives com jquery mobile router
                var router = new Workspace();
                Backbone.history.start();
/*
            }

            if (navigator.userAgent.match(/(iPad|iPhone|Android)/)) {
                console.log("Treballarem sobre dispositiu mòbil");
                // Si funcionem sobre un dispositiu mòbil, esperem a l'event deviceready
                document.addEventListener("deviceready", onDeviceReady, false);
            } else {
                console.log("Treballarem sobre PC");
                // Sobre qualsevol altre plataforma no hem d'esperar res
                onDeviceReady(true);
            }
*/
        });





});