//Definim les dependencies mitjançant require.js

define(['jquery', 'underscore', 'Backbone', 'text!templates/LlistatHotel/SeccioHotelView.tpl'],
    function ($, _, Backbone, SeccioHotelViewTemplate) {
        return Backbone.View.extend({


	       // Events a la pantalla i respectives funcions que els atendran
            events: {
		      'click #back': 'btnBack',
              'click #primeraMiniatura': 'primerPopUp',
              'click #segonaMiniatura': 'segonPopUp',
              'click #terceraMiniatura': 'tercerPopUp'
            },
	    
	       //Funció jqmNavigator que treu la vista de la pila i torna control al router Backbone
            btnBack:function (event) {
                $.mobile.jqmNavigator.popView();
            },

            //Crida al pup de la primera miniatura
            primerPopUp:function (event){
                console.log("Primera miniatura");
                $("#primerPopup").popup("open");
            },

            //Crida al pup de la segona miniatura
            segonPopUp:function (event){
                console.log("Segona miniatura");
                $("#segonPopup").popup("open");
            },

            //Crida al pup de la tercera miniatura
            tercerPopUp:function (event){
                $("#tercerPopup").popup("open");
            },


            render:function () {
	       // Dibuixam la pantalla mitjançant la plantilla HTML passant el model com a paràmetre
                console.log('La secció visualiltzada es ' + this.model.get('Nom') + this.model.get('Descripcio'));
                this.$el.html(_.template(SeccioHotelViewTemplate, {seccio:this.model}));
                return this;
            }

        });
    });