/*global define*/

define([
    'parse'
], function (Parse) {
    'use strict';

    var TodoModel = Parse.Object.extend("Todo", {
        // Default attributes for the todo.
        defaults: {
            content: "empty todo..."
        },

        // Ensure that each todo created has `content`.
        initialize: function() {
            if (!this.get("content")) {
                this.set({"content": this.defaults.content});
            }
        }
    });

    return TodoModel;
});
