define([
    'parse'
], function (Parse) {
    'use strict';

    var ClientReservaModel = Parse.Object.extend("Client_ReservaHotel", {

                // We keep the Todos in sequential order, despite being saved by unordered
        // GUID in the database. This generates the next order number for new items.
        reserva: function() {
            return this.get('codiReserva');
        },

        // Todos are sorted by their original insertion order.
        client: function() {
            return this.get('codiClient');
        }

    });

    return ClientReservaModel;
});
